package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysConfig;

import java.util.List;

/**
 * 系统配置 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 20:33:43
 */
public interface SysConfigMapper extends BaseMapper<SysConfig> {

    /**
     * 校验参数键名是否唯一
     *
     * @param sysConfig 参数配置信息
     * @return 结果
     */
    String checkKeyIsExist(SysConfig sysConfig);

    /**
     * 通过主键批量查询列表
     *
     * @param ids ids
     * @return list
     */
    List<SysConfig> selectByIds(List<String> ids);
}
