package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysConfig;
import com.qiaoba.api.system.entity.param.SysConfigParam;
import com.qiaoba.api.system.service.SysConfigApiService;
import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;

/**
 * 系统配置 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 20:33:43
 */
public interface SysConfigService extends SysConfigApiService {

    /**
     * 分页查询配置列表
     *
     * @param param     param
     * @param pageQuery pageQuery
     * @return list
     */
    TableDataInfo<SysConfig> selectPageList(SysConfigParam param, PageQuery pageQuery);
}
