package com.qiaoba.api.system.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 系统配置 sys_config
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-05-24 20:06:17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_config")
public class SysConfig extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @Excel(name = "参数主键", width = 20)
    @TableId
    private String configId;

    @Excel(name = "参数名称", width = 25)
    private String configName;

    @Excel(name = "参数键名", width = 30)
    private String configKey;

    @Excel(name = "参数键值")
    private String configValue;

    @Excel(name = "系统内置", width = 20, replace = {"是_Y", "否_N"})
    private String configType;

}
