package com.qiaoba.api.system.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 字典类型 sys_dict_type
 *
 * @author ailanyin
 * @version 1.0
 * @since 2022-09-22 04:20:28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_dict_type")
public class SysDictType extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @Excel(name = "字典主键", width = 20)
    @TableId
    private String dictId;

    @Excel(name = "字典名称", width = 20)
    private String dictName;

    @Excel(name = "字典类型", width = 20)
    private String dictType;

    @Excel(name = "状态", width = 20, replace = {"正常_1", "停用_0"})
    private String status;

}
