package com.qiaoba.common.base.constants;

/**
 * BaseConstant
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
public class BaseConstant {

    /**
     * UTF-8 字符集
     */
    public static final String UTF8 = "UTF-8";

    /**
     * 默认的字符拼接/切割符号: ','(英文逗号)
     */
    public static final String DEFAULT_SPLIT_STR = ",";

    /**
     * 竖线拼接符号: '|'(英文竖线)
     */
    public static final String LINE_JOIN_STR = "|";

    /**
     * 冒号拼接符号: ':'(英文冒号)
     */
    public static final String COLON_JOIN_STR = ":";

    /**
     * 中划线拼接符号: '-'
     */
    public static final String HYPHEN_JOIN_STR = "-";

    /**
     * 树的key的命名
     */
    public static final String TREE_KEY_NAME = "label";

    /**
     * 默认的父ID = 0
     */
    public static final String DEFAULT_PARENT_ID_VALUE = "0";

    /**
     * http请求
     */
    public static final String HTTP = "http://";

    /**
     * https请求
     */
    public static final String HTTPS = "https://";

    /**
     * 资源映射路径 前缀
     */
    public static final String RESOURCE_PREFIX = "/resource";

    /**
     * 是
     */
    public static final String YES = "Y";

    /**
     * 否
     */
    public static final String NO = "N";

    /**
     * 处理失败 个数 0
     */
    public static final Integer HANDLE_ERROR = 0;

}
