package com.qiaoba.common.base.constants;

/**
 * 租户常量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
public class TenantConstant {

    /**
     * 租户 key 前缀
     */
    public static final String TENANT_KEY_PREFIX = "tenant_";

    /**
     * 租户信息 Redis Key
     */
    public static final String TENANT_INFO_KEY_PREFIX = "tenant_info:";

    /**
     * header 租户 key
     */
    public static final String HEADER_KEY_TENANT = "tenant";

    /**
     * 系统默认租户ID
     */
    public static final String DEFAULT_TENANT_ID = "1";

    /**
     * 登陆入口-获取正常的租户-Uri
     */
    public static final String LOGIN_TENANT_LIST_URI = "/tenant/normal-list";
}
