package com.qiaoba.common.database.properties;

import com.qiaoba.common.database.entity.DynamicDataSource;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
@ConfigurationProperties(prefix = "qiaoba")
@Data
@EnableConfigurationProperties
public class DataSourceProperties {

    private List<DynamicDataSource> dataSources;

}
